> ## Documentation Index
> Fetch the complete documentation index at: https://developer.cardplus.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Card Account KYC Info



## OpenAPI

````yaml /CARDPLUS-API.json post /wallet/api/user/kycInfo
openapi: 3.0.3
info:
  description: Wallet API Documentation
  version: '2.0'
  title: Wallet API Documentation
servers:
  - url: http://access-wallet.test.ftrader.pro
    description: Test development server
security: []
tags:
  - name: General
    description: General common APIs
  - name: Address Management
    description: User address CRUD operations
  - name: Agency Management
    description: Agency-related operations including card application and asset management
  - name: Asset Management
    description: User asset list and asset transfer operations
  - name: Card Management
    description: >-
      Card operations including activation, locking, balance, top-up, transfers,
      and queries
  - name: Deposit
    description: Deposit and top-up from user assets to card
  - name: KYT
    description: Know Your Transaction check
  - name: User Management
    description: User registration, KYC, card application, and information queries
paths:
  /wallet/api/user/kycInfo:
    post:
      tags:
        - User Management
      summary: Get Card Account KYC Info
      operationId: queryUserKycUsingPOST
      parameters:
        - name: agencyCode
          in: query
          description: Agency code
          required: true
          schema:
            type: string
        - name: appId
          in: query
          description: App identifier
          required: true
          schema:
            type: string
        - name: appUserId
          in: query
          description: App user ID
          required: true
          schema:
            type: string
        - name: cardUUID
          in: query
          description: Card UUID
          required: true
          schema:
            type: string
        - name: sign
          in: query
          description: Signature
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseCardAccountAuditDTO'
components:
  schemas:
    ResponseCardAccountAuditDTO:
      type: object
      required:
        - code
        - msg
      properties:
        code:
          type: integer
          format: int32
        data:
          $ref: '#/components/schemas/CardAccountAuditDTO'
        msg:
          type: string
    CardAccountAuditDTO:
      type: object
      required:
        - appUserId
        - birthday
        - documentNo
        - documentType
        - firstName
        - gender
        - lastName
        - photos
        - region
      properties:
        annualIncome:
          type: string
          description: Annual income (USD)
        appUserId:
          type: string
          description: User ID
        birthday:
          type: string
          example: '2003-12-08'
          description: 'Format: yyyy-MM-dd'
        cardAccountStatus:
          type: string
          description: Card account status
          enum:
            - APPROVED
            - CONFIRM
            - NOT_APPLY
            - PENDING_APPROVE
            - PENDING_REVIEW
            - REJECTED
            - REQUIRE_DOC_UPDATE
        cardUUID:
          type: string
          description: Card UUID
        city:
          type: string
          description: City
        country:
          type: string
          description: Country
        detailedAddress:
          type: string
          description: Detailed address
        documentExpiryDate:
          type: string
          example: '2025-12-31'
          description: Document expiry date
        documentNo:
          type: string
          description: Document ID
        documentType:
          type: string
          description: Document type
          enum:
            - DRIVER_LICENSE
            - ID_CARD
            - PASSPORT
        firstName:
          type: string
          description: First name (English only)
        gender:
          type: string
          description: Gender
          enum:
            - FEMALE
            - MALE
        lastName:
          type: string
          description: Last name (English only)
        mobile:
          type: string
          example: 86-13000000000
          description: Mobile number with region code
        occupation:
          type: string
          description: Occupation
        photos:
          type: string
          description: Document URL
        position:
          type: string
          description: Position
        postCode:
          type: string
          description: Postal code
        province:
          type: string
          description: Province/State
        region:
          type: string
          description: Country/Region code
          enum:
            - AD
            - AE
            - AF
            - AG
            - AI
            - AL
            - AM
            - AN
            - AO
            - AQ
            - AR
            - AS
            - AT
            - AU
            - AW
            - AZ
            - BA
            - BB
            - BD
            - BE
            - BF
            - BG
            - BH
            - BI
            - BJ
            - BL
            - BM
            - BN
            - BO
            - BR
            - BS
            - BT
            - BW
            - BY
            - BZ
            - CA
            - CC
            - CD
            - CF
            - CG
            - CH
            - CI
            - CK
            - CL
            - CM
            - CN
            - CO
            - CR
            - CU
            - CV
            - CW
            - CX
            - CY
            - CZ
            - DE
            - DJ
            - DK
            - DM
            - DO
            - DZ
            - EC
            - EE
            - EG
            - EH
            - ER
            - ES
            - ET
            - FI
            - FJ
            - FK
            - FM
            - FO
            - FR
            - GA
            - GB
            - GD
            - GE
            - GF
            - GG
            - GH
            - GI
            - GL
            - GM
            - GN
            - GP
            - GQ
            - GR
            - GT
            - GU
            - GW
            - GY
            - HK
            - HN
            - HR
            - HT
            - HU
            - ID
            - IE
            - IL
            - IM
            - IN
            - IO
            - IQ
            - IR
            - IS
            - IT
            - JE
            - JM
            - JO
            - JP
            - KE
            - KG
            - KH
            - KI
            - KM
            - KN
            - KP
            - KR
            - KW
            - KY
            - KZ
            - LA
            - LB
            - LC
            - LI
            - LK
            - LR
            - LS
            - LT
            - LU
            - LV
            - LY
            - MA
            - MC
            - MD
            - ME
            - MF
            - MG
            - MH
            - MK
            - ML
            - MM
            - MN
            - MO
            - MP
            - MQ
            - MR
            - MS
            - MT
            - MU
            - MV
            - MW
            - MX
            - MY
            - MZ
            - NA
            - NC
            - NE
            - NG
            - NI
            - NL
            - 'NO'
            - NP
            - NR
            - NU
            - NZ
            - OM
            - PA
            - PE
            - PF
            - PG
            - PH
            - PK
            - PL
            - PM
            - PN
            - PR
            - PS
            - PT
            - PW
            - PY
            - QA
            - RE
            - RO
            - RS
            - RU
            - RW
            - SA
            - SB
            - SC
            - SD
            - SE
            - SG
            - SH
            - SI
            - SJ
            - SK
            - SL
            - SM
            - SN
            - SO
            - SR
            - SS
            - ST
            - SV
            - SX
            - SY
            - SZ
            - TC
            - TD
            - TG
            - TH
            - TJ
            - TK
            - TL
            - TM
            - TN
            - TO
            - TR
            - TT
            - TV
            - TW
            - TZ
            - UA
            - UG
            - US
            - UY
            - UZ
            - VA
            - VC
            - VE
            - VG
            - VI
            - VN
            - VU
            - WF
            - WS
            - XK
            - YE
            - YT
            - ZA
            - ZM
            - ZW
        rejectReason:
          type: string
          description: Rejection reason
        street:
          type: string
          description: Street
        supportDocumentType:
          type: string
          description: Supporting document type
          enum:
            - ADDRESS_PROOF
            - BANK_STATEMENT
            - EMPLOYMENT_CONTRACT
            - IMMIGRATION_ENDORSEMENT
            - PROOF_OF_VISIT
            - SALARY_PAYSLIP
            - TENANCY_AGREEMENT
            - TRAVEL_PERMIT
            - WORK_VISA
        supportDocumentUrl:
          type: string
          description: Supporting document URL

````